{
    "name": "laravel/laravel",
    "type": "project",
    "description": "The skeleton application for the Laravel framework.",
    "keywords": ["laravel", "framework"],
    "license": "MIT",
    "require": {
        "php": "^8.1",
        "dcat/easy-excel": "^1.1",
        "dcat/laravel-admin": "2.*",
        "dcat/laravel-wherehasin": "^0.8.0",
        "guanguans/dcat-login-captcha": "^1.1",
        "guzzlehttp/guzzle": "^7.2",
        "laravel/framework": "^10.10",
        "laravel/helpers": "^1.6",
        "laravel/sanctum": "^3.3",
        "laravel/tinker": "^2.8",
        "overtrue/laravel-filesystem-cos": "^3.5",
        "overtrue/laravel-query-logger": "^3.1",
        "overtrue/laravel-wechat": "^6.0",
        "predis/predis": "^2.2",
        "sparkinzy/dcat-viewer": "^1.0",
        "tymon/jwt-auth": "^2.1"
    },
    "require-dev": {
        "barryvdh/laravel-ide-helper": "^2.13",
        "brainmaestro/composer-git-hooks": "^3.0@alpha",
        "fakerphp/faker": "^1.9.1",
        "kitloong/laravel-migrations-generator": "^6.10",
        "laravel/pint": "^1.0",
        "laravel/sail": "^1.18",
        "mockery/mockery": "^1.4.4",
        "nunomaduro/collision": "^7.0",
        "phpstan/phpstan": "^1.10",
        "phpunit/phpunit": "^10.1",
        "reliese/laravel": "^1.2",
        "spatie/laravel-ignition": "^2.0"
    },
    "autoload": {
        "psr-4": {
            "App\\": "app/",
            "Database\\Factories\\": "database/factories/",
            "Database\\Seeders\\": "database/seeders/"
        },
        "files": [
            "app/helpers.php"
        ]
    },
    "autoload-dev": {
        "psr-4": {
            "Tests\\": "tests/"
        }
    },
    "scripts": {
        "post-autoload-dump": [
            "Illuminate\\Foundation\\ComposerScripts::postAutoloadDump",
            "@php artisan package:discover --ansi"
        ],
        "post-update-cmd": [
            "@php artisan vendor:publish --tag=laravel-assets --ansi --force",
            "cghooks update"
        ],
        "post-root-package-install": [
            "@php -r \"file_exists('.env') || copy('.env.example', '.env');\""
        ],
        "post-create-project-cmd": [
            "@php artisan key:generate --ansi"
        ],
        "post-merge": "composer install",
        "post-install-cmd": [
            "cghooks add --ignore-lock",
            "cghooks update"
        ],
        "phpstan": "phpstan analyse --memory-limit=-1",
        "check-style": "vendor/bin/pint --test",
        "fix-style": "vendor/bin/pint",
        "test": "phpunit --colors"
    },
    "extra": {
        "hooks": {
            "pre-commit": [
                "composer check-style"
            ],
            "pre-push": [
                "composer check-style"
            ],
            "config": {
                "stop-on-failure": [
                    "pre-commit",
                    "pre-push"
                ]
            }
        },
        "laravel": {
            "dont-discover": []
        }
    },
    "config": {
        "optimize-autoloader": true,
        "preferred-install": "dist",
        "sort-packages": true,
        "allow-plugins": {
            "pestphp/pest-plugin": true,
            "easywechat-composer/easywechat-composer": true
        }
    },
    "minimum-stability": "dev",
    "prefer-stable": true,
    "repositories": [
    ]
}
